FROM ubuntu:24.04

RUN apt-get update && apt-get install -y --no-install-recommends \
    lib32gcc-s1 lib32stdc++6 ca-certificates \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /server
COPY . .

EXPOSE 27015/udp
EXPOSE 27015/tcp

CMD ["./DedicatedServer"]
